| The Gaudi Framework v28r2p1 (f1a77ff4)

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Public Attributes | List of all members
Gaudi::Parsers::H1Grammar< Iterator, Skipper > Class Template Reference
Inheritance diagram for Gaudi::Parsers::H1Grammar< Iterator, Skipper >:
[legend]
Collaboration diagram for Gaudi::Parsers::H1Grammar< Iterator, Skipper >:
[legend]

## Public Types
typedef H1 | ResultT

## Public Member Functions
| H1Grammar ()

## Public Attributes
StringGrammar< Iterator, Skipper > | name
StringGrammar< Iterator, Skipper > | title
EdgeGrammar< Iterator, Skipper > | edges
RealGrammar< Iterator, double, Skipper > | low
RealGrammar< Iterator, double, Skipper > | high
IntGrammar< Iterator, unsigned int, Skipper > | nbins
VectorGrammar< Iterator, std::vector< std::pair< double, double > >, Skipper > | bins
qi::rule< Iterator, H1(), qi::locals< char >, Skipper > | result
qi::rule< Iterator, H1(), Skipper > | inner
qi::rule< Iterator, char()> | begin
qi::rule< Iterator, void(char)> | end

## Detailed Description

### template<typename Iterator, typename Skipper>
class Gaudi::Parsers::H1Grammar< Iterator, Skipper >

Definition at line 95 of file HistoParsers.cpp.

## Member Typedef Documentation

template<typename Iterator , typename Skipper >

typedef H1 Gaudi::Parsers::H1Grammar< Iterator, Skipper >::ResultT

Definition at line 101 of file HistoParsers.cpp.

## Constructor & Destructor Documentation

template<typename Iterator , typename Skipper >

Gaudi::Parsers::H1Grammar< Iterator, Skipper >::H1Grammar | ( |  | ) |
| inline

Definition at line 105 of file HistoParsers.cpp.

105 : H1Grammar::base_type(result) {
106 inner =
107 (((qi::lit("name") | "'name'" | "\"name\"" )
108 >> ":" >> name[qi::_val *= qi::_1 ])
109 |
110 (( qi::lit("title") | "'title'" | "\"title\"" )
111 >> ":" >> title [ qi::_val /= qi::_1 ])
112 |
113 ( -(( qi::lit("X") | "'X'" | "\"X\"" | "x" | "'x'" | "\"x\"" ) >> ':' )
114 >> edges [ qi::_val &= qi::_1 ])
115 |
116 (( qi::lit("nbins") | "'nbins'" | "\"nbins\"" )
117 >> ":" >> nbins [qi::_val |= qi::_1])
118 |
119 (( qi::lit("low") | "'low'" | "\"low\"" )
120 >> ":" >> low [qi::_val -= qi::_1])
121 |
122 (( qi::lit("high") | "'high'" | "\"high\"" )
123 >> ":" >> high [qi::_val ^= qi::_1])
124 |
125 (( qi::lit("bins") | "'bins'" | "\"bins\"" )
126 >> ':' >> bins [qi::_val += qi::_1])) % ',';
127
128 begin = enc::char_('[')[qi::_val=']']
129 | enc::char_('{')[qi::_val='}']
130 | enc::char_('(')[qi::_val=')'];
131 end = enc::char_(qi::_r1);
132 result = (begin[qi::_a = qi::_1]
133 >> inner[qi::_val = qi::_1]
134 >> end(qi::_a)) | inner;
135
136 }
Gaudi::Parsers::H1Grammar::begin
qi::rule< Iterator, char()> begin
Definition: HistoParsers.cpp:147
Gaudi::Parsers::H1Grammar::result
qi::rule< Iterator, H1(), qi::locals< char >, Skipper > result
Definition: HistoParsers.cpp:145
Gaudi::Parsers::H1Grammar::low
RealGrammar< Iterator, double, Skipper > low
Definition: HistoParsers.cpp:140
Gaudi::Parsers::H1Grammar::title
StringGrammar< Iterator, Skipper > title
Definition: HistoParsers.cpp:138
Gaudi::Parsers::H1Grammar::name
StringGrammar< Iterator, Skipper > name
Definition: HistoParsers.cpp:138
Gaudi::Parsers::H1Grammar::bins
VectorGrammar< Iterator, std::vector< std::pair< double, double > >, Skipper > bins
Definition: HistoParsers.cpp:144
Gaudi::Parsers::H1Grammar::inner
qi::rule< Iterator, H1(), Skipper > inner
Definition: HistoParsers.cpp:146
Gaudi::Parsers::H1Grammar::end
qi::rule< Iterator, void(char)> end
Definition: HistoParsers.cpp:148
Gaudi::Parsers::H1Grammar::edges
EdgeGrammar< Iterator, Skipper > edges
Definition: HistoParsers.cpp:139
Gaudi::Parsers::H1Grammar::high
RealGrammar< Iterator, double, Skipper > high
Definition: HistoParsers.cpp:140
Gaudi::Parsers::H1Grammar::nbins
IntGrammar< Iterator, unsigned int, Skipper > nbins
Definition: HistoParsers.cpp:141

## Member Data Documentation

template<typename Iterator , typename Skipper >

qi::rule<Iterator, char()> Gaudi::Parsers::H1Grammar< Iterator, Skipper >::begin

Definition at line 147 of file HistoParsers.cpp.

template<typename Iterator , typename Skipper >

VectorGrammar<Iterator, std::vector<std::pair<double, double> >, Skipper> Gaudi::Parsers::H1Grammar< Iterator, Skipper >::bins

Definition at line 144 of file HistoParsers.cpp.

template<typename Iterator , typename Skipper >

EdgeGrammar<Iterator, Skipper> Gaudi::Parsers::H1Grammar< Iterator, Skipper >::edges

Definition at line 139 of file HistoParsers.cpp.

template<typename Iterator , typename Skipper >

qi::rule<Iterator, void(char)> Gaudi::Parsers::H1Grammar< Iterator, Skipper >::end

Definition at line 148 of file HistoParsers.cpp.

template<typename Iterator , typename Skipper >

RealGrammar<Iterator, double, Skipper> Gaudi::Parsers::H1Grammar< Iterator, Skipper >::high

Definition at line 140 of file HistoParsers.cpp.

template<typename Iterator , typename Skipper >

qi::rule<Iterator, H1(), Skipper> Gaudi::Parsers::H1Grammar< Iterator, Skipper >::inner

Definition at line 146 of file HistoParsers.cpp.

template<typename Iterator , typename Skipper >

RealGrammar<Iterator, double, Skipper> Gaudi::Parsers::H1Grammar< Iterator, Skipper >::low

Definition at line 140 of file HistoParsers.cpp.

template<typename Iterator , typename Skipper >

StringGrammar<Iterator, Skipper> Gaudi::Parsers::H1Grammar< Iterator, Skipper >::name

Definition at line 138 of file HistoParsers.cpp.

template<typename Iterator , typename Skipper >

IntGrammar<Iterator, unsigned int, Skipper> Gaudi::Parsers::H1Grammar< Iterator, Skipper >::nbins

Definition at line 141 of file HistoParsers.cpp.

template<typename Iterator , typename Skipper >

qi::rule<Iterator, H1(), qi::locals<char>, Skipper> Gaudi::Parsers::H1Grammar< Iterator, Skipper >::result

Definition at line 145 of file HistoParsers.cpp.

template<typename Iterator , typename Skipper >

StringGrammar<Iterator, Skipper> Gaudi::Parsers::H1Grammar< Iterator, Skipper >::title

Definition at line 138 of file HistoParsers.cpp.

The documentation for this class was generated from the following file:

- GaudiUtils/src/Lib/HistoParsers.cpp